diff options
Diffstat (limited to 'venv/bin')
-rw-r--r-- | venv/bin/activate | 76 | ||||
-rw-r--r-- | venv/bin/activate.csh | 37 | ||||
-rw-r--r-- | venv/bin/activate.fish | 75 | ||||
-rwxr-xr-x | venv/bin/easy_install | 12 | ||||
-rwxr-xr-x | venv/bin/easy_install-3.7 | 12 | ||||
-rwxr-xr-x | venv/bin/pip | 12 | ||||
-rwxr-xr-x | venv/bin/pip3 | 12 | ||||
-rwxr-xr-x | venv/bin/pip3.7 | 12 | ||||
-rwxr-xr-x | venv/bin/python | bin | 14096 -> 0 bytes | |||
-rwxr-xr-x | venv/bin/python3 | bin | 14096 -> 0 bytes | |||
-rwxr-xr-x | venv/bin/python3.7 | bin | 14096 -> 0 bytes |
11 files changed, 0 insertions, 248 deletions
diff --git a/venv/bin/activate b/venv/bin/activate deleted file mode 100644 index 969a386..0000000 --- a/venv/bin/activate +++ /dev/null | |||
@@ -1,76 +0,0 @@ | |||
1 | # This file must be used with "source bin/activate" *from bash* | ||
2 | # you cannot run it directly | ||
3 | |||
4 | deactivate () { | ||
5 | # reset old environment variables | ||
6 | if [ -n "${_OLD_VIRTUAL_PATH:-}" ] ; then | ||
7 | PATH="${_OLD_VIRTUAL_PATH:-}" | ||
8 | export PATH | ||
9 | unset _OLD_VIRTUAL_PATH | ||
10 | fi | ||
11 | if [ -n "${_OLD_VIRTUAL_PYTHONHOME:-}" ] ; then | ||
12 | PYTHONHOME="${_OLD_VIRTUAL_PYTHONHOME:-}" | ||
13 | export PYTHONHOME | ||
14 | unset _OLD_VIRTUAL_PYTHONHOME | ||
15 | fi | ||
16 | |||
17 | # This should detect bash and zsh, which have a hash command that must | ||
18 | # be called to get it to forget past commands. Without forgetting | ||
19 | # past commands the $PATH changes we made may not be respected | ||
20 | if [ -n "${BASH:-}" -o -n "${ZSH_VERSION:-}" ] ; then | ||
21 | hash -r | ||
22 | fi | ||
23 | |||
24 | if [ -n "${_OLD_VIRTUAL_PS1:-}" ] ; then | ||
25 | PS1="${_OLD_VIRTUAL_PS1:-}" | ||
26 | export PS1 | ||
27 | unset _OLD_VIRTUAL_PS1 | ||
28 | fi | ||
29 | |||
30 | unset VIRTUAL_ENV | ||
31 | if [ ! "$1" = "nondestructive" ] ; then | ||
32 | # Self destruct! | ||
33 | unset -f deactivate | ||
34 | fi | ||
35 | } | ||
36 | |||
37 | # unset irrelevant variables | ||
38 | deactivate nondestructive | ||
39 | |||
40 | VIRTUAL_ENV="/home/a9o9/PycharmProjects/network_scanner/venv" | ||
41 | export VIRTUAL_ENV | ||
42 | |||
43 | _OLD_VIRTUAL_PATH="$PATH" | ||
44 | PATH="$VIRTUAL_ENV/bin:$PATH" | ||
45 | export PATH | ||
46 | |||
47 | # unset PYTHONHOME if set | ||
48 | # this will fail if PYTHONHOME is set to the empty string (which is bad anyway) | ||
49 | # could use `if (set -u; : $PYTHONHOME) ;` in bash | ||
50 | if [ -n "${PYTHONHOME:-}" ] ; then | ||
51 | _OLD_VIRTUAL_PYTHONHOME="${PYTHONHOME:-}" | ||
52 | unset PYTHONHOME | ||
53 | fi | ||
54 | |||
55 | if [ -z "${VIRTUAL_ENV_DISABLE_PROMPT:-}" ] ; then | ||
56 | _OLD_VIRTUAL_PS1="${PS1:-}" | ||
57 | if [ "x(venv) " != x ] ; then | ||
58 | PS1="(venv) ${PS1:-}" | ||
59 | else | ||
60 | if [ "`basename \"$VIRTUAL_ENV\"`" = "__" ] ; then | ||
61 | # special case for Aspen magic directories | ||
62 | # see http://www.zetadev.com/software/aspen/ | ||
63 | PS1="[`basename \`dirname \"$VIRTUAL_ENV\"\``] $PS1" | ||
64 | else | ||
65 | PS1="(`basename \"$VIRTUAL_ENV\"`)$PS1" | ||
66 | fi | ||
67 | fi | ||
68 | export PS1 | ||
69 | fi | ||
70 | |||
71 | # This should detect bash and zsh, which have a hash command that must | ||
72 | # be called to get it to forget past commands. Without forgetting | ||
73 | # past commands the $PATH changes we made may not be respected | ||
74 | if [ -n "${BASH:-}" -o -n "${ZSH_VERSION:-}" ] ; then | ||
75 | hash -r | ||
76 | fi | ||
diff --git a/venv/bin/activate.csh b/venv/bin/activate.csh deleted file mode 100644 index 8adc19a..0000000 --- a/venv/bin/activate.csh +++ /dev/null | |||
@@ -1,37 +0,0 @@ | |||
1 | # This file must be used with "source bin/activate.csh" *from csh*. | ||
2 | # You cannot run it directly. | ||
3 | # Created by Davide Di Blasi <davidedb@gmail.com>. | ||
4 | # Ported to Python 3.3 venv by Andrew Svetlov <andrew.svetlov@gmail.com> | ||
5 | |||
6 | alias deactivate 'test $?_OLD_VIRTUAL_PATH != 0 && setenv PATH "$_OLD_VIRTUAL_PATH" && unset _OLD_VIRTUAL_PATH; rehash; test $?_OLD_VIRTUAL_PROMPT != 0 && set prompt="$_OLD_VIRTUAL_PROMPT" && unset _OLD_VIRTUAL_PROMPT; unsetenv VIRTUAL_ENV; test "\!:*" != "nondestructive" && unalias deactivate' | ||
7 | |||
8 | # Unset irrelevant variables. | ||
9 | deactivate nondestructive | ||
10 | |||
11 | setenv VIRTUAL_ENV "/home/a9o9/PycharmProjects/network_scanner/venv" | ||
12 | |||
13 | set _OLD_VIRTUAL_PATH="$PATH" | ||
14 | setenv PATH "$VIRTUAL_ENV/bin:$PATH" | ||
15 | |||
16 | |||
17 | set _OLD_VIRTUAL_PROMPT="$prompt" | ||
18 | |||
19 | if (! "$?VIRTUAL_ENV_DISABLE_PROMPT") then | ||
20 | if ("venv" != "") then | ||
21 | set env_name = "venv" | ||
22 | else | ||
23 | if (`basename "VIRTUAL_ENV"` == "__") then | ||
24 | # special case for Aspen magic directories | ||
25 | # see http://www.zetadev.com/software/aspen/ | ||
26 | set env_name = `basename \`dirname "$VIRTUAL_ENV"\`` | ||
27 | else | ||
28 | set env_name = `basename "$VIRTUAL_ENV"` | ||
29 | endif | ||
30 | endif | ||
31 | set prompt = "[$env_name] $prompt" | ||
32 | unset env_name | ||
33 | endif | ||
34 | |||
35 | alias pydoc python -m pydoc | ||
36 | |||
37 | rehash | ||
diff --git a/venv/bin/activate.fish b/venv/bin/activate.fish deleted file mode 100644 index df64168..0000000 --- a/venv/bin/activate.fish +++ /dev/null | |||
@@ -1,75 +0,0 @@ | |||
1 | # This file must be used with ". bin/activate.fish" *from fish* (http://fishshell.org) | ||
2 | # you cannot run it directly | ||
3 | |||
4 | function deactivate -d "Exit virtualenv and return to normal shell environment" | ||
5 | # reset old environment variables | ||
6 | if test -n "$_OLD_VIRTUAL_PATH" | ||
7 | set -gx PATH $_OLD_VIRTUAL_PATH | ||
8 | set -e _OLD_VIRTUAL_PATH | ||
9 | end | ||
10 | if test -n "$_OLD_VIRTUAL_PYTHONHOME" | ||
11 | set -gx PYTHONHOME $_OLD_VIRTUAL_PYTHONHOME | ||
12 | set -e _OLD_VIRTUAL_PYTHONHOME | ||
13 | end | ||
14 | |||
15 | if test -n "$_OLD_FISH_PROMPT_OVERRIDE" | ||
16 | functions -e fish_prompt | ||
17 | set -e _OLD_FISH_PROMPT_OVERRIDE | ||
18 | functions -c _old_fish_prompt fish_prompt | ||
19 | functions -e _old_fish_prompt | ||
20 | end | ||
21 | |||
22 | set -e VIRTUAL_ENV | ||
23 | if test "$argv[1]" != "nondestructive" | ||
24 | # Self destruct! | ||
25 | functions -e deactivate | ||
26 | end | ||
27 | end | ||
28 | |||
29 | # unset irrelevant variables | ||
30 | deactivate nondestructive | ||
31 | |||
32 | set -gx VIRTUAL_ENV "/home/a9o9/PycharmProjects/network_scanner/venv" | ||
33 | |||
34 | set -gx _OLD_VIRTUAL_PATH $PATH | ||
35 | set -gx PATH "$VIRTUAL_ENV/bin" $PATH | ||
36 | |||
37 | # unset PYTHONHOME if set | ||
38 | if set -q PYTHONHOME | ||
39 | set -gx _OLD_VIRTUAL_PYTHONHOME $PYTHONHOME | ||
40 | set -e PYTHONHOME | ||
41 | end | ||
42 | |||
43 | if test -z "$VIRTUAL_ENV_DISABLE_PROMPT" | ||
44 | # fish uses a function instead of an env var to generate the prompt. | ||
45 | |||
46 | # save the current fish_prompt function as the function _old_fish_prompt | ||
47 | functions -c fish_prompt _old_fish_prompt | ||
48 | |||
49 | # with the original prompt function renamed, we can override with our own. | ||
50 | function fish_prompt | ||
51 | # Save the return status of the last command | ||
52 | set -l old_status $status | ||
53 | |||
54 | # Prompt override? | ||
55 | if test -n "(venv) " | ||
56 | printf "%s%s" "(venv) " (set_color normal) | ||
57 | else | ||
58 | # ...Otherwise, prepend env | ||
59 | set -l _checkbase (basename "$VIRTUAL_ENV") | ||
60 | if test $_checkbase = "__" | ||
61 | # special case for Aspen magic directories | ||
62 | # see http://www.zetadev.com/software/aspen/ | ||
63 | printf "%s[%s]%s " (set_color -b blue white) (basename (dirname "$VIRTUAL_ENV")) (set_color normal) | ||
64 | else | ||
65 | printf "%s(%s)%s" (set_color -b blue white) (basename "$VIRTUAL_ENV") (set_color normal) | ||
66 | end | ||
67 | end | ||
68 | |||
69 | # Restore the return status of the previous command. | ||
70 | echo "exit $old_status" | . | ||
71 | _old_fish_prompt | ||
72 | end | ||
73 | |||
74 | set -gx _OLD_FISH_PROMPT_OVERRIDE "$VIRTUAL_ENV" | ||
75 | end | ||
diff --git a/venv/bin/easy_install b/venv/bin/easy_install deleted file mode 100755 index 136abd1..0000000 --- a/venv/bin/easy_install +++ /dev/null | |||
@@ -1,12 +0,0 @@ | |||
1 | #!/home/a9o9/PycharmProjects/network_scanner/venv/bin/python | ||
2 | # EASY-INSTALL-ENTRY-SCRIPT: 'setuptools==39.1.0','console_scripts','easy_install' | ||
3 | __requires__ = 'setuptools==39.1.0' | ||
4 | import re | ||
5 | import sys | ||
6 | from pkg_resources import load_entry_point | ||
7 | |||
8 | if __name__ == '__main__': | ||
9 | sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0]) | ||
10 | sys.exit( | ||
11 | load_entry_point('setuptools==39.1.0', 'console_scripts', 'easy_install')() | ||
12 | ) | ||
diff --git a/venv/bin/easy_install-3.7 b/venv/bin/easy_install-3.7 deleted file mode 100755 index 074a562..0000000 --- a/venv/bin/easy_install-3.7 +++ /dev/null | |||
@@ -1,12 +0,0 @@ | |||
1 | #!/home/a9o9/PycharmProjects/network_scanner/venv/bin/python | ||
2 | # EASY-INSTALL-ENTRY-SCRIPT: 'setuptools==39.1.0','console_scripts','easy_install-3.7' | ||
3 | __requires__ = 'setuptools==39.1.0' | ||
4 | import re | ||
5 | import sys | ||
6 | from pkg_resources import load_entry_point | ||
7 | |||
8 | if __name__ == '__main__': | ||
9 | sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0]) | ||
10 | sys.exit( | ||
11 | load_entry_point('setuptools==39.1.0', 'console_scripts', 'easy_install-3.7')() | ||
12 | ) | ||
diff --git a/venv/bin/pip b/venv/bin/pip deleted file mode 100755 index e238a6b..0000000 --- a/venv/bin/pip +++ /dev/null | |||
@@ -1,12 +0,0 @@ | |||
1 | #!/home/a9o9/PycharmProjects/network_scanner/venv/bin/python | ||
2 | # EASY-INSTALL-ENTRY-SCRIPT: 'pip==10.0.1','console_scripts','pip' | ||
3 | __requires__ = 'pip==10.0.1' | ||
4 | import re | ||
5 | import sys | ||
6 | from pkg_resources import load_entry_point | ||
7 | |||
8 | if __name__ == '__main__': | ||
9 | sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0]) | ||
10 | sys.exit( | ||
11 | load_entry_point('pip==10.0.1', 'console_scripts', 'pip')() | ||
12 | ) | ||
diff --git a/venv/bin/pip3 b/venv/bin/pip3 deleted file mode 100755 index 0b47d90..0000000 --- a/venv/bin/pip3 +++ /dev/null | |||
@@ -1,12 +0,0 @@ | |||
1 | #!/home/a9o9/PycharmProjects/network_scanner/venv/bin/python | ||
2 | # EASY-INSTALL-ENTRY-SCRIPT: 'pip==10.0.1','console_scripts','pip3' | ||
3 | __requires__ = 'pip==10.0.1' | ||
4 | import re | ||
5 | import sys | ||
6 | from pkg_resources import load_entry_point | ||
7 | |||
8 | if __name__ == '__main__': | ||
9 | sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0]) | ||
10 | sys.exit( | ||
11 | load_entry_point('pip==10.0.1', 'console_scripts', 'pip3')() | ||
12 | ) | ||
diff --git a/venv/bin/pip3.7 b/venv/bin/pip3.7 deleted file mode 100755 index 973a47a..0000000 --- a/venv/bin/pip3.7 +++ /dev/null | |||
@@ -1,12 +0,0 @@ | |||
1 | #!/home/a9o9/PycharmProjects/network_scanner/venv/bin/python | ||
2 | # EASY-INSTALL-ENTRY-SCRIPT: 'pip==10.0.1','console_scripts','pip3.7' | ||
3 | __requires__ = 'pip==10.0.1' | ||
4 | import re | ||
5 | import sys | ||
6 | from pkg_resources import load_entry_point | ||
7 | |||
8 | if __name__ == '__main__': | ||
9 | sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0]) | ||
10 | sys.exit( | ||
11 | load_entry_point('pip==10.0.1', 'console_scripts', 'pip3.7')() | ||
12 | ) | ||
diff --git a/venv/bin/python b/venv/bin/python deleted file mode 100755 index fc81572..0000000 --- a/venv/bin/python +++ /dev/null | |||
Binary files differ | |||
diff --git a/venv/bin/python3 b/venv/bin/python3 deleted file mode 100755 index fc81572..0000000 --- a/venv/bin/python3 +++ /dev/null | |||
Binary files differ | |||
diff --git a/venv/bin/python3.7 b/venv/bin/python3.7 deleted file mode 100755 index fc81572..0000000 --- a/venv/bin/python3.7 +++ /dev/null | |||
Binary files differ | |||